Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.Compression.DeflaterPending Class Reference

This class stores the pending output of the Deflater. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.Compression.DeflaterPending:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.Compression.DeflaterPending:
[legend]

## Public Member Functions
| DeflaterPending ()
| Construct instance with default buffer size.
Public Member Functions inherited from ICSharpCode.SharpZipLib.Zip.Compression.PendingBuffer
| PendingBuffer ()
| construct instance using default buffer size of 4096
| PendingBuffer (int bufferSize)
| construct instance using specified buffer size
void | Reset ()
| Clear internal state/buffers.
void | WriteByte (int value)
| Write a byte to buffer.
void | WriteShort (int value)
| Write a short value to buffer LSB first.
void | WriteInt (int value)
| write an integer LSB first
void | WriteBlock (byte[] block, int offset, int length)
| Write a block of data to buffer.
void | AlignToByte ()
| Align internal buffer on a byte boundary.
void | WriteBits (int b, int count)
| Write bits to internal buffer.
void | WriteShortMSB (int s)
| Write a short value to internal buffer most significant byte first.
int | Flush (byte[] output, int offset, int length)
| Flushes the pending buffer into the given output array. If the output array is to small, only a partial flush is done.
byte[] | ToByteArray ()
| Convert internal buffer to byte array. Buffer is empty on completion.

## Additional Inherited Members
Properties inherited from ICSharpCode.SharpZipLib.Zip.Compression.PendingBuffer
int | BitCount`[get]`
| The number of bits written to the buffer.
bool | IsFlushed`[get]`
| Indicates if buffer has been flushed.

## Detailed Description

This class stores the pending output of the Deflater.

author of the original java version : Jochen Hoenicke

## Constructor & Destructor Documentation

## ◆ DeflaterPending()

ICSharpCode.SharpZipLib.Zip.Compression.DeflaterPending.DeflaterPending | ( |  | ) |

Construct instance with default buffer size.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/Compression/DeflaterPending.cs